Loading...
Searching...
No Matches
Trigfun.hpp File Reference

Header for GeographicLib::Trigfun class. More...

`#include <GeographicLib/Constants.hpp>`
`#include <functional>`
`#include <utility>`

Go to the source code of this file.

## Classes

class | GeographicLib::Trigfun
| Representing a function by a Fourier series. More...
class | GeographicLib::TrigfunExt
| A function defined by its derivative and its inverse. More...

## Namespaces

namespace | GeographicLib
| Namespace for GeographicLib.
namespace | GeographicLib::Triaxial
| Namespace for operations on triaxial ellipsoids.

## Detailed Description

Header for GeographicLib::Trigfun class.

Copyright (c) Charles Karney (2024-2025) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file Trigfun.hpp.